Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 22-11-2019 18:49:23

lherbaux
Membre
Distrib. : debian 10
Noyau : Linux 4.9.0-8-amd64
(G)UI : mate
Inscription : 23-12-2010

problème installation deb

bonjour ,

quand je veux faire une installation d'un fichier .deb, en mode terminal , voici ce qu'il m'indique :

dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin



comment puis-je régler le problème ?
merci d'avance.
à bientôt.

Hors ligne

#2 22-11-2019 19:07:12

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.10.4
(G)UI : KDE 5.20.4
Inscription : 11-03-2016

Re : problème installation deb

Bonjour,
Tu utilises su ou sudo ?
Pour su, il faut mettre le tiret

su -


apt install chemin-complet-vers-le-deb

En ligne

#3 22-11-2019 19:59:58

raleur
Membre
Inscription : 03-10-2014

Re : problème installation deb

Je ne voudrais pas avoir l'air de faire mon râleur, mais une simple recherche dans le forum avec "ldconfig" aurait trouvé que cette question a déjà été posée récemment :
https://debian-facile.org/viewtopic.php?id=25560

Il vaut mieux montrer que raconter.

Hors ligne

#4 22-11-2019 20:15:54

lherbaux
Membre
Distrib. : debian 10
Noyau : Linux 4.9.0-8-amd64
(G)UI : mate
Inscription : 23-12-2010

Re : problème installation deb

apt install fdisk_2.34-0.1_amd64.deb
 


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet fdisk_2.34-0.1_amd64.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « fdisk_2.34-0.1_amd64.deb »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « fdisk_2.34-0.1_amd64.deb »
 

Hors ligne

#5 22-11-2019 20:38:43

phlinux
Membre
Distrib. : Jessie
Noyau : 4.9
(G)UI : Openbox (+Rox+Feh)
Inscription : 09-05-2009

Re : problème installation deb

Bsr,

Pour stretch je ne sais pas mais pour jessie on a ceci

dpkg -S fdisk


util-linux: /usr/share/bash-completion/completions/sfdisk
util-linux: /sbin/cfdisk
util-linux: /usr/share/bash-completion/completions/cfdisk
util-linux: /usr/share/man/man8/sfdisk.8.gz
util-linux: /usr/share/bash-completion/completions/fdisk
manpages-fr-extra: /usr/share/man/fr/man8/cfdisk.8.gz
manpages-fr-extra: /usr/share/man/fr/man8/sfdisk.8.gz
util-linux: /usr/share/man/man8/cfdisk.8.gz
util-linux: /sbin/fdisk
manpages-fr-extra: /usr/share/man/fr/man8/fdisk.8.gz
util-linux: /usr/share/man/man8/fdisk.8.gz
util-linux: /sbin/sfdisk

donc c'est le paquet util-linux qui est à installer. Mais c'est un paquet Essentiel et à mon avis il est installé d'office


Pages perso : feh, omegat, udisks, passerelle, schroot vraiment transparent

Hors ligne

#6 22-11-2019 20:40:03

raleur
Membre
Inscription : 03-10-2014

Re : problème installation deb

Quel rapport avec le sujet de départ ?

Il vaut mieux montrer que raconter.

Hors ligne

#7 22-11-2019 20:44:11

phlinux
Membre
Distrib. : Jessie
Noyau : 4.9
(G)UI : Openbox (+Rox+Feh)
Inscription : 09-05-2009

Re : problème installation deb

Tu peux installer fdisk_2.34-0.1_amd64.deb ?
De toute façon ce fil est en doublon sur le même problème ici https://debian-facile.org/viewtopic.php?id=25736

Pages perso : feh, omegat, udisks, passerelle, schroot vraiment transparent

Hors ligne

#8 22-11-2019 20:49:52

Debian Alain
Membre
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux -5.10.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : problème installation deb

lherbaux a écrit :

bonjour ,
quand je veux faire une installation d'un fichier .deb, en mode terminal , voici ce qu'il m'indique :

dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin


comment puis-je régler le problème ?



tu as pensé à faire

su -


pour passer en root ?

Hors ligne

#9 22-11-2019 23:58:50

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.10.4
(G)UI : KDE 5.20.4
Inscription : 11-03-2016

Re : problème installation deb

Déjà dit post #2 pour le tiret de su et post #3
Il faut mettre le chemin par exemple si j’ai mis le fichier dans le répertoire Téléchargement du home de l’utilisateur chalu

su -


apt install /home/chalu/Téléchargements/fdisk_2.34-0.1_amd64.deb

En ligne

#10 23-11-2019 12:33:38

phlinux
Membre
Distrib. : Jessie
Noyau : 4.9
(G)UI : Openbox (+Rox+Feh)
Inscription : 09-05-2009

Re : problème installation deb

Ah, mon retard sur les versions m'a empêché de détecter le "nouveau" paquet fdisk.
Je comprends mieux l'intervention de raleur au post #6 : toutes mes excuses cher ami. Mais il fallait tout simplement me dire que le paquet existait.

Pages perso : feh, omegat, udisks, passerelle, schroot vraiment transparent

Hors ligne

#11 23-11-2019 12:55:29

raleur
Membre
Inscription : 03-10-2014

Re : problème installation deb

En fait ma question était adressée à lherbaux, pas à toi : le sujet commence par un problème de ldconfig avec dpkg, puis dévie vers un problème d'apt avec fdisk donc je ne comprenais pas le rapport. Ta réponse est arrivée pendant que je l'écrivais.

Il vaut mieux montrer que raconter.

Hors ligne

Pied de page des forums